Esc

↑↓ move↵ openIndex · Pagefind
REST reference · Project Management

Emails

18 endpoints9 implementedAll modules →
  1. GET /rest/v1.0/communications/{communication_id}/threadsList Communication Threads
  2. GET /rest/v1.0/communications/{communication_id}/threads/{id}Show Communication Thread
  3. GET /rest/v1.0/communications/{id}Show Communication
  4. POST /rest/v1.0/companies/{company_id}/email_communicationsCreate Company-level Email Communication
  5. POST /rest/v1.0/companies/{company_id}/email_communications/{communication_id}/emailsCreate Company-level Email
  6. GET /rest/v1.0/companies/{company_id}/email_communications/{communication_id}/emails/{email_id}/download_attachmentsDownload all company-level email attachments
  7. GET /rest/v1.0/companies/{company_id}/email_communications/{id}Show Company-level Email Communication
  8. PATCH /rest/v1.0/companies/{company_id}/email_communications/{id}Update a private field in Company-level Email Communication
  9. GET /rest/v1.0/companies/{company_id}/email_communications/{id}/exportExport Company-level Email Communication
  10. GET /rest/v1.0/companies/{company_id}/email_communications/emailsList of Company-level Emails
  11. POST /rest/v1.0/project/{project_id}/email_communicationsCreate Email Communication
  12. POST /rest/v1.0/project/{project_id}/email_communications/{communication_id}/emailsCreate Email
  13. GET /rest/v1.0/project/{project_id}/email_communications/{communication_id}/emails/{email_id}/download_attachmentsDownload all email attachments
  14. GET /rest/v1.0/project/{project_id}/email_communications/{communication_id}/exportExport Email Communication to PDF
  15. GET /rest/v1.0/project/{project_id}/email_communications/{id}Show Email Communication
  16. PATCH /rest/v1.0/project/{project_id}/email_communications/{id}Update a private field in Email Communication
  17. GET /rest/v1.0/project/{project_id}/email_communications/emailsList of Emails
  18. POST /rest/v1.0/projects/{project_id}/time_and_material_entries/{id}/email_entryEmail a Time And Material Entry
GET /rest/v1.0/communications/{communication_id}/threads

List Communication Threads

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • communication_id
    integerpathrequired

Response · 200 · object

  • from_external_email
    boolean
  • from
    object
  • to
    object[]
  • id
    integer
  • subject
    string
  • email_sent_at
    string (date-time)
GET /rest/v1.0/communications/{communication_id}/threads/{id}

Show Communication Thread

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • communication_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • body
    string
  • cc
    object[]
  • bcc
    object[]
  • attachments
    object[]
  • from_external_email
    boolean
  • from
    object
  • to
    object[]
  • id
    integer
  • subject
    string
  • email_sent_at
    string (date-time)
GET /rest/v1.0/communications/{id}

Show Communication

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • id
    integerpathrequired

Response · 200 · object

  • initial_post
    object
  • communication_tags
    object[]
  • created_at
    string (date)
  • private
    boolean
  • closed
    boolean
  • id
    integer
  • subject
    string
POST /rest/v1.0/companies/{company_id}/email_communications

Create Company-level Email Communication

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    integerpathrequired
  • topic_type
    stringqueryrequired
  • topic_id
    integerqueryrequired

Request body

  • communication
    objectrequired
  • email
    objectrequired

Response · 201 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
POST /rest/v1.0/companies/{company_id}/email_communications/{communication_id}/emails

Create Company-level Email

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    integerpathrequired
  • communication_id
    integerpathrequired
  • topic_type
    stringqueryrequired
  • topic_id
    integerqueryrequired

Request body

  • email
    objectrequired

Response · 200 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
GET /rest/v1.0/companies/{company_id}/email_communications/{communication_id}/emails/{email_id}/download_attachments

Download all company-level email attachments

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    integerpathrequired
  • communication_id
    integerpathrequired
  • email_id
    integerpathrequired

Response · 200 · object

  • download_all_attachments_url
    string
GET /rest/v1.0/companies/{company_id}/email_communications/{id}

Show Company-level Email Communication

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
PATCH /rest/v1.0/companies/{company_id}/email_communications/{id}

Update a private field in Company-level Email Communication

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    integerpathrequired
  • id
    integerpathrequired

Request body

  • private
    booleanrequired

Response · 201 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
GET /rest/v1.0/companies/{company_id}/email_communications/{id}/export

Export Company-level Email Communication

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • download_url
    string
GET /rest/v1.0/companies/{company_id}/email_communications/emails

List of Company-level Emails

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • topic_type
    stringqueryrequired
  • topic_id
    integerqueryrequired

Response · 200 · object

  • communication_threads
    object[]
  • total
    integer
  • new_communication_email
    string
POST /rest/v1.0/project/{project_id}/email_communications

Create Email Communication

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • topic_type
    stringqueryrequired
  • topic_id
    integerqueryrequired

Request body

  • communication
    objectrequired
  • email
    objectrequired

Response · 201 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
POST /rest/v1.0/project/{project_id}/email_communications/{communication_id}/emails

Create Email

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • communication_id
    integerpathrequired
  • topic_type
    stringqueryrequired
  • topic_id
    integerqueryrequired

Request body

  • email
    objectrequired

Response · 200 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
GET /rest/v1.0/project/{project_id}/email_communications/{communication_id}/emails/{email_id}/download_attachments

Download all email attachments

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • communication_id
    integerpathrequired
  • email_id
    integerpathrequired

Response · 200 · object

  • download_all_attachments_url
    string
GET /rest/v1.0/project/{project_id}/email_communications/{communication_id}/export

Export Email Communication to PDF

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • communication_id
    integerpathrequired
  • topic_type
    stringqueryrequired

Response · 200 · object

  • pdf_url
    string
GET /rest/v1.0/project/{project_id}/email_communications/{id}

Show Email Communication

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
PATCH /rest/v1.0/project/{project_id}/email_communications/{id}

Update a private field in Email Communication

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Request body

  • private
    booleanrequired

Response · 201 · object

  • id
    integer
  • private
    boolean
  • subject
    string
  • emails
    object[]
GET /rest/v1.0/project/{project_id}/email_communications/emails

List of Emails

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • topic_type
    stringqueryrequired
  • topic_id
    integerqueryrequired

Response · 200 · object

  • emails
    object[]
  • total
    integer
  • new_communication_email
    string
POST /rest/v1.0/projects/{project_id}/time_and_material_entries/{id}/email_entry

Email a Time And Material Entry

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 204

No response body.

Ask the OS

Reading this page

Ask anything about this page. Answers use what you're reading as context.

Suggested

    AI · may be imperfect · sample data where shown

    Open file